﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EnvDTE;
using Microsoft.VisualStudio.TextTemplating.VSHost;
using System.IO;

namespace Kevin.Develop.CodeGenerateCustomTool
{
    using Properties;

    [System.Runtime.InteropServices.Guid("391B243E-DB88-42F8-8F64-A355042D7507")]
    public class MyCodeGenerator : TemplatedCodeGenerator
    {
        protected override byte[] GenerateCode(string inputFileName, string inputFileContent)
        {
            string template = Resources.Model1.Replace("$entity.edmx$", inputFileName);
            //分文件时候处理
            //string template = Resources.Header.Replace("$edmxInputFile$", inputFileName) +
            //    Resources.EntityObject +
            //    Resources.EF_Utility_CS +
            //    Resources.Footer;
            return base.GenerateCode(inputFileName, template);
        }
    }

    [ProvideCodeGenerator(typeof(MyCodeGenerator),
        "MyCodeGenerator",
        "Generates C# Code", true,
        ProjectSystem = ProvideCodeGeneratorAttribute.CSharpProjectGuid,
        RegisterCodeBase = true)]
    internal sealed partial class MyCodeGeneratorPackage
    {

    }
}

